Skip to main content
POST
/
api
/
v1
/
verification
/
philippines
/
nbiclearance
NBI Clearance
curl --request POST \
  --url https://{environment-subdomain}.idmetagroup.com/api/v1/verification/philippines/nbiclearance \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clearanceNo": "<string>",
  "template_id": "{your_trust_flow_id}",
  "verification_id": "{your_created_verification_id}"
}
'
{
  "status": true,
  "message": "OK",
  "response": {
    "data": {
      "ID_no": "U000KNTL12-RG1234567",
      "full_name": "JOHN JACK DOE",
      "lname": "JOHN",
      "mname": "JACK",
      "fname": "DOE",
      "photo": "http://alpha-ws.nbi-clearance.io/api/v1/profile/temp/picture/A146JMPA49-DO1908648?expires=1753414508&signature=bc719a401ac6856cb40f5c98c1079ac2a2b833373ceb60a33cfe7ecbe2048b10",
      "clearance_expiry": "July 25, 2023",
      "occupation": "-",
      "is_expired": true,
      "took": 4,
      "has_pin": false
    },
    "found": true,
    "valid": false,
    "statusCode": 200
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Bearer {your_api_token} in the Authorization header.

Headers

Accept
string
default:application/json
Content-Type
string
default:application/json

Body

application/json
clearanceNo
string
required

Philippines NBI Clearance number for verification.

template_id
string
required

Identifier used to categorize or group requests for tracking or reporting.

verification_id
string
required

A unique ID used to identify your verification request.

Response

200 - application/json

NBI clearance verified successfully

status
boolean
message
string
response
object